
Figure - Bug #118338
【IOVDEV-31248】【VC1】【0100】【台架】【EE环境】【副屏】中控升级完成后，副屏发生黑屏现象
2023-05-29 15:41 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-29

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: 黑屏 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 03.02.0086.C102

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: ST Root cause: 同件BUG

Description

【环境信息】EE环境

【问题出现时间】：20230529  13点40分（ 副屏第214次开机）

【前提条件】：车机上电（KL30ON ，KL15 ON，CANoe的E2E工程发送电源模式信号powermode=local on，已连接中控和功放，可正常

输出声音，副屏以太网和WiFi都是已连接状态）

1.在13点40分中控升级完成自动重启，未对副屏进行任何操作

【实际结果】

副屏突然黑屏

【期望结果】

副屏正常显示页面。

【备注】：

可以通过WiFi连接adb，可以使用投屏软件进行投屏到电脑，通过电脑端下滑显示控制中心，点击控制中心的息屏后，再点击副屏屏幕

，副屏恢复亮屏。

车架号VIN：HRYTTESTVINMGM400

中控端log可从云端获取，

副屏历史log地址：https://ofs.human-horizons.com/#/download/index/s2RW5ErlFCo%3D

【影响版本】：副屏：01.00.0100.c103  中控：03.02.0086.C102

History

#1 - 2023-05-29 15:47 - CDTS_TEST 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118338/31248-118338.7z

#2 - 2023-05-29 17:59 - CDTS-TEST 周婷

- Category set to 黑屏

#3 - 2023-05-29 19:06 - CD SYSTEM-胡兵
- Assignee changed from CD SYSTEM-夏旭 to CD BSP-杜磊

Hi 杜磊

【备注】：

可以通过WiFi连接adb，可以使用投屏软件进行投屏到电脑，通过电脑端下滑显示控制中心，点击控制中心的息屏后，再点击副屏屏幕，副屏恢

复亮屏。

如上描述，请Display同事分析下~

#4 - 2023-05-29 19:16 - CD BSP-杜磊

- Status changed from New to ASSIGNED

- Assignee changed from CD BSP-杜磊 to CD BSP-余霄

请帮忙分析一下附件log，是否有DTC_Display相关报错

#5 - 2023-05-29 19:22 - CD BSP-余霄

tlog_iov0201017500006162025411a2212290000000911_000214_0529135946/logcat/000214_manual_00015_230529_135915.log:623:05-29 13:35:02.446     0     0 I [

6319.256461] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

tlog_iov0201017500006162025411a2212290000000911_000214_0529135946/logcat/000214_manual_00015_230529_135915.log:741:05-29 13:35:05.428     0     0 I [

6322.238831] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

tlog_iov0201017500006162025411a2212290000000911_000214_0529135946/logcat/000214_manual_00028_230529_135916.log:604:05-29 13:58:38.103     0     0 I [

7734.510378] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

tlog_iov0201017500006162025411a2212290000000911_000214_0529135946/logcat/000214_manual_00028_230529_135916.log:988:05-29 13:58:42.231     0     0 I [

7738.637529] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

tlog_iov0201017500006162025411a2212290000000911_000214_0529135946/logcat/000214_manual_00017_230529_135915.log:317:05-29 13:40:11.290     0     0 I [

6628.128326] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

tlog_iov0201017500006162025411a2212290000000911_000214_0529135946/kernel/000214_kernel_00004_230529_135915.log.ing:916:05-29 13:58:38.103     0     0 I [

7734.510378] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

tlog_iov0201017500006162025411a2212290000000911_000214_0529135946/kernel/000214_kernel_00004_230529_135915.log.ing:941:05-29 13:58:42.231     0     0 I [

7738.637529] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

tlog_iov0201017500006162025411a2212290000000911_000214_0529135946/kernel/000214_kernel_00001_230529_135915.log:363:05-29 13:35:02.446     0     0 I [

6319.256461] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

tlog_iov0201017500006162025411a2212290000000911_000214_0529135946/kernel/000214_kernel_00001_230529_135915.log:377:05-29 13:35:05.428     0     0 I [

6322.238831] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

tlog_iov0201017500006162025411a2212290000000911_000214_0529135946/kernel/000214_kernel_00001_230529_135915.log:1255:05-29 13:40:11.290     0     0 I [

6628.128326] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

日志中，无DTC_Display报错，并且加解串驱动也没有报通信异常，同黑屏BUG。

106版本将强化日志，增加量灭屏RETRY机制。

#6 - 2023-06-01 11:44 - CDTS-TEST 周婷

需追踪并更新redmine
#7 - 2023-06-01 14:51 - CD BSP-余霄

目前，将这段时间的黑屏BUG做分类，如下：

1.屏端软件异常，电压异常、屏幕处于not ready状态等，需屏厂更新软件解决

2.主机端投屏ok，屏端背光未打开，主机端未做异常恢复机制。5.31合入代码解决。

3.no video异常，视频信号传输异常，该类BUG旧版本日志DTC无明显报错，5.31合入代码新增视频检测信号，并打印日志。

目前屏厂monkey测试出现2台异常，但现场未保留。正在让屏厂复现，并验证修改方案，预计验证OK后6.2号合入。

从日志中分析，该BUG为第3类。

目前5.31版本已提供VB给屏厂测试中，持续跟进屏厂测试结果中。

#8 - 2023-06-02 18:35 - CD BSP-余霄

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD BSP-余霄 to CDTS_TEST 王成

- Root cause set to 同件BUG

与118419为同件BUG，此票关闭。

保留118419跟进问题。

#9 - 2023-06-06 21:59 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#10 - 2023-06-06 21:59 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

中控升级完成后，副屏发生黑屏现象.mp4 2.96 MB 2023-05-29 CDTS_TEST 王成
